<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.gh.gamecenter.setting">

    <!-- 允许应用程序访问网络连接 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- 允许应用程序获取网络信息状态 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- 允许应用程序读取电话状态 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <!-- 允许应用程序获取当前或最近运行的应用 -->
    <uses-permission android:name="android.permission.GET_TASKS" />

    <application
        android:name=".SettingModuleApp"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppCompatTheme"
        tools:replace="android:name,android:allowBackup"
        tools:targetApi="n">

        <meta-data
            android:name="io.sentry.auto-init"
            android:value="false" />

        <!-- 不让 sentry 读取系统事件 -->
        <meta-data
            android:name="io.sentry.breadcrumbs.system-events"
            android:value="false" />

        <activity
            android:name=".view.SettingActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".view.security.SecurityActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".view.VideoSettingActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".view.GameDownloadSettingActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".view.AboutActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".view.NetworkDiagnosisActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".view.security.BindPhoneActivity"
            android:screenOrientation="portrait" />
    </application>
</manifest>